orte/mca/ns/proxy/src/ns_proxy.c File Reference.TH "orte/mca/ns/proxy/src/ns_proxy.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/ns/proxy/src/ns_proxy.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <string.h>\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'orte/include/orte_types.h'\fP
.br
\fC#include 'opal/mca/mca.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'orte/dps/dps.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/rml/rml.h'\fP
.br
\fC#include 'ns_proxy.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_ns_proxy_create_cellid\fP (orte_cellid_t *cellid, char *site, char *resource)"
.br
.RI "\fIglobals \fP"
.ti -1c
.RI "int \fBorte_ns_proxy_get_cell_info\fP (orte_cellid_t cellid, char **site, char **resource)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_create_jobid\fP (\fBorte_jobid_t\fP *job)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_reserve_range\fP (\fBorte_jobid_t\fP job, orte_vpid_t range, orte_vpid_t *starting_vpid)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_get_job_peers\fP (orte_process_name_t **procs, size_t *num_procs, \fBorte_jobid_t\fP job)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_assign_rml_tag\fP (\fBorte_rml_tag_t\fP *tag, char *name)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_define_data_type\fP (const char *name, \fBorte_data_type_t\fP *type)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_create_my_name\fP (void)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_dump_cells\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_dump_jobs\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_dump_tags\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_proxy_dump_datatypes\fP (int output_id)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
